<div class="row">
  <div class="col-12">
      <div class="d-flex flex-row my-3">
          <div class="bluey-grey bm-label-14 patient-sub-tab d-none d-md-block">
              <div class="d-flex flex-row">
                  <div class="px-4 bm-pointer py-2" ui-sref="prescription.new" ui-sref-active-eq="active">Patient Selection</div>
                  <div class="px-4 bm-pointer py-2" ui-sref="prescription.medication" ui-sref-active-eq="active">Medication Details</div>
                  <div class="px-4 bm-pointer py-2" ui-sref="prescription.confirmation" ui-sref-active-eq="active">Confirmation</div>
              </div>
          </div>
      </div>
  </div>
</div>
<div ui-view>
  <div class="prescription-medication prescription">
    <section class="section-1">
      <h1 class="h1">1. Select Medication Allergy(ies) and Health Condition(s)</h1>
      <div class="allergy-health">
        <div class="medication-allergy">
          <label class="label-1">Medication Allergy(ies)</label>
          <div class="suto-suggest-1" ng-click="$ctrl.openInput('allergyInp')" id="allergies">
            <div class="d-flex flex-row flex-wrap ml-2 p-1">
                <div ng-repeat="a in $ctrl.prescription.selectedAllergies track by $index">
                    <div class="tag mr-2 d-flex justify-content-center mt-2">
                        <div class="dark-grey-blue mr-2 mb-2">{{a}} </div>
                        <div class="pointer" ng-click="$ctrl.removeAllergies(a)">X</div>
                    </div>
                </div>
                <input ng-model="$ctrl.tempAllergies" id="allergyInp" style="border: none;outline: none;"
                    ng-keyup="($event.keyCode == 32) || ($event.keyCode == 13) ? $ctrl.addAllergy($ctrl.tempAllergies) :''; $ctrl.filterAllergiesSearch()">
            </div>
          </div>

          <div class="suggestion-container border" ng-if="$ctrl.openAllergiesSuggestion"
              click-outside="$ctrl.openAllergiesSuggestion = false">
              <div class="d-flex flex-row search-result-items p-2 align-items-center pointer cursor-changer"
                  ng-click="$ctrl.addAllergy(a)" ng-repeat="a in $ctrl.filterAllergiesSearch() track by $index">
                  <div class=" dark-grey-blue ">{{a}}</div>
              </div>
          </div>
          <textarea ng-model="$ctrl.prescription.allergies_remarks" class="remarks w-90" placeholder="Remarks"></textarea>
        </div>

        <div class="health-conditions">
          <label for="" class="label-1">Health Conditions</label>
          <div class="suto-suggest-2" ng-click="$ctrl.openInput('conditionInp')" id="conditions">
            <div class="d-flex flex-row flex-wrap ml-2 p-1">
                <div ng-repeat="a in $ctrl.prescription.selectedConditions track by $index">
                    <div class="tag d-flex justify-content-center mr-2 mt-2">
                        <div class="mr-2 mb-2">{{a}} </div>
                        <div class="pointer" ng-click="$ctrl.removeCondition(a)">X</div>
                    </div>
                </div>
                <input class="" ng-model="$ctrl.tempConditions" id="conditionInp" style="border: none;outline: none;"
                    ng-keyup="($event.keyCode == 32) || ($event.keyCode == 13) ? $ctrl.addCondition($ctrl.tempConditions) :''; $ctrl.filterConditionSearch()">
            </div>
          </div>

          <div class="suggestion-container border" ng-if="$ctrl.openConditionSuggestion"
            click-outside="$ctrl.openConditionSuggestion = false">
            <div class="d-flex flex-row search-result-items p-2 align-items-center pointer cursor-changer"
                ng-click="$ctrl.addCondition(a)" ng-repeat="a in $ctrl.filterConditionSearch() track by $index">
                <div class=" dark-grey-blue ">{{a}}</div>
            </div>
          </div>
          <textarea ng-model="$ctrl.prescription.condition_remarks" class="remarks w-95" placeholder="Remarks"></textarea>
        </div>
      </div>
    </section>

    <section class="section-2">
      <h1 class="h1">2. Select Medications</h1>
      <div class="d-flex align-items-center">
        <label for="" class="label-3">Default Prescription Duration </label>
        <input type="number" class="input-number" />
        <select class="custom-select">
          <option key="Days" value="Days">Days</option>
          <option key="Weeks" value="Weeks">Weeks</option>
          <option key="Months" value="Months">Months</option>
        </select>
      </div>

      <div class="search-container">
        <i class="fas fa-search search-icon-pos-v2"></i>
        <input type="text" placeholder="Search Medication" class="form-control" ng-model="$ctrl.searchStr"
          style="height: 48px;" ng-keyup="$ctrl.search_medicine($ctrl.searchStr)" autocomplete="off">
        <div ng-if="!$ctrl.searchFlag && $ctrl.search_result_dropdown" class="search-drop-down-wrapper"
          click-outside="$ctrl.search_result_dropdown = false">
          <div class="scrollable-container">
            <div class="d-flex flex-row search-result-items p-2 align-items-center pointer"
              ng-click="$ctrl.add_medicine(a)" ng-repeat="a in $ctrl.medicine_data">
              <div class="mx-2" style="width: 150px">
                <div class="dark-grey-blue">
                  <b>{{::a.medicine_name}}</b>
                </div>
              </div>
            </div>
          </div>
          <!-- <div class="create-patient-wrapper" ng-if = "$ctrl.medicine_data.length == 0">
            <div class="bm-label-12 mb-2">Can't find the medicine?</div>
          </div> -->
        </div>
      </div>

      <div>
        <div class="medication-header">
          <span class="label-1">MEDICATION</span>
          <span class="label-1 text-center">ADMINISTRATION TIME & DOSAGE</span>
          <span class="label-1 text-center">HALF TABLET</span>
          <span class="label-1 text-center">AFTER MEAL</span>
          <span class="label-1 text-center">DURATION</span>
          <span class="text-center">
            <img class="pointer" src="../../../images/filter-icon.svg" alt="filter" />
          </span>
        </div>

        <div class="medication-details" ng-repeat="medicine in $ctrl.medicine_prescribed">
          <div>
            <span class="label-2">{{medicine.medicine_name}}</span>
          </div>
          <div>
            <div class="d-flex justify-content-center align-items-center">
              <div>
                <span class="label-2 text-center">Morning </span>
                <div class="d-flex align-items-center">
                  <button ng-click="$ctrl.decrement($index, 'morning')" class="decrement">
                    <img src="../../../images/minus.svg" alt="decrement">
                  </button>
                  {{$ctrl.min}}
                  <input type="number" name="count" min="0" disable-arrows ng-model="medicine.morning" class="input-number" />
                  <button ng-click="$ctrl.increment($index, 'morning')" class="increment">
                    <img src="../../../images/add.svg" alt="increment">
                  </button>
                </div>
              </div>

              <div>
                <span class="label-2 text-center">Afternoon </span>
                <div class="d-flex align-items-center">
                  <button ng-click="$ctrl.decrement($index, 'afternoon')" class="decrement">
                    <img src="../../../images/minus.svg" alt="decrement">
                  </button>
                  <input type="number" name="count" min="0" disable-arrows ng-model="medicine.afternoon" class="input-number" />
                  <button ng-click="$ctrl.increment($index, 'afternoon')" class="increment">
                    <img src="../../../images/add.svg" alt="increment">
                  </button>
                </div>
              </div>

              <div>
                <span class="label-2 text-center">Evening </span>
                <div class="d-flex align-items-center">
                  <button ng-click="$ctrl.decrement($index, 'evening')" class="decrement">
                    <img src="../../../images/minus.svg" alt="decrement">
                  </button>
                  <input type="number" name="count" min="0" disable-arrows ng-model="medicine.evening" class="input-number" />
                  <button ng-click="$ctrl.increment($index, 'evening')" class="increment">
                    <img src="../../../images/add.svg" alt="increment">
                  </button>
                </div>
              </div>
            </div>
            <div class="error-text">
              <p class="text-center" ng-if="medicine.morning == 0 && medicine.afternoon == 0 && medicine.evening == 0 ">{{medicine.evening}}
              Please enter the value of at last 1 dosage field </p>
            </div>
          </div>
          <div class="custom-checkbox text-center">
            <input type="checkbox" id="half-tablet_{{$index}}" ng-model="medicine.half_tablet" ng-change="$ctrl.tabletChange($index, medicine.half_tablet)">
            <label for="half-tablet_{{$index}}"></label>
          </div>

          <div class="d-flex align-items-center justify-content-center">
            <select class="custom-select fix" ng-model="medicine.eat_instruction" ng-change="$ctrl.updateMeal($index, medicine.eat_instruction)">
              <option value="{{meal.id}}" ng-repeat="meal in $ctrl.mealOptions" ng-selected="medicine.eat_instruction == type.name" >
                {{meal.name}}</option>
            </select>
          </div>

          <div class="d-flex align-items-center justify-content-center">
            <input type="number" class="input-number" ng-model="medicine.duration_count"/>
            <select class="custom-select" ng-model="medicine.duration_value" ng-change="$ctrl.update($index, medicine.duration_value)">
              <option value="{{type.name}}" ng-repeat="type in $ctrl.durationTypes" ng-selected="medicine.duration_value == type.name" >
                {{type.name}}</option>
            </select>
          </div>

          <div class="text-center">
            <img class="pointer" src="../../../images/delete.svg" alt="delete"
              ng-click="$ctrl.remove_medicine(medicine)">
          </div>
        </div>
        <div class="btn-group">
          <button class="custom-btn back-btn" ng-click="$ctrl.back()">Back</button>
          <button class="custom-btn submit-btn" ng-disabled="$ctrl.validate_data()"
            ng-click="$ctrl.submit_medication()">Continue</button>
        </div>
      </div>

    </section>
  </div>
</div>
